<div class="row justify-content-center text-center">
    <div class="col-md-12 col-sm-12">

        <div class="card border-dark col-md-12">
            <div class="card-header  border-dark " style="background-color: rgb(47, 47, 47);">
                <ng-container *ngIf="!tarea; else elseTemplate">
                    <span style="color: white;">Nueva Tarea</span>
                </ng-container>
                <ng-template #elseTemplate>
                    <span style="color: white;">Editar Tarea</span>
                </ng-template>

            </div>
            <div class="container-fluid table-responsive card-body text-dark" [formGroup]="formTarea">
                <div class="row">
                    <div class="row">

                        <div class="col-6">

                            <label for="name" class="label">nombre</label>
                            <input type="text" shape="round" id="name" class="input-field" placeholder="Ej: ... tarea 1" formControlName="name">
                            <small style="color: red;" *ngIf="formTarea.controls['name'].touched && formTarea.controls['name'].errors?.required">Campo
                                requerido*</small>
                        </div>
                        <div class="col-6">

                            <label for="nombP" class="label">description</label>
                            <input type="text" class="input-field" shape="round" id="nombP" placeholder="Ej: ... esta es una tarea" formControlName="description">
                            <small style="color: red;" *ngIf="formTarea.controls['description'].touched && formTarea.controls['description'].errors?.required">Campo
                                requerido*</small>
                        </div>
                        <div class="col-md-4">
                            <label for="tipo" class="label">Estado</label>
                            <div class="select">
                                <select id="tipo" formControlName="status">
                                    <option value="Activo" >
                                        Activo
                                    </option>
                                    <option value="Inactivo" >
                                        Inactivo
                                    </option>
                                </select>
                                <div class="select_arrow">
                                </div>
                            </div>

                        </div>


                    </div>

                </div>
            </div>
            <div class="card-footer  border-dark " style="background-color: rgb(47, 47, 47);">
                <div class="row">
                    <div class="col-auto mt-4" style="margin-left: auto;"><button nbButton shape="round" (click)="addTask()" size="small" status="success" [disabled]="!formTarea.valid">Completar
                                            </button></div>
                </div>
            </div>
        </div>

    </div>
</div>